### Signal

# Hinoko FwIsoIrSingle::interrupted

#### Declaration

    void
    interrupted (
      HinokoFwIsoIrSingle* self,
      guint sec,
      guint cycle,
      gpointer header,
      guint header_length,
      guint count,
      gpointer user_data
    )

#### Description [src]

Emitted when Linux FireWire subsystem generates interrupt event. There are three cases for Linux FireWire subsystem to generate the event:

- When 1394 OHCI hardware generates hardware interrupt as a result to process the isochronous packet for the buffer chunk marked to generate hardware interrupt.
- When the size of accumulated context header for packets since the last event reaches the size of memory page (usually 4,096 bytes).
- When application calls `hinoko_fw_iso_ctx_flush_completions()` explicitly.

The handler of signal can retrieve context payload of received packet by call of `hinoko_fw_iso_ir_single_get_payload()`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`sec`

  Type: `guint`

  Sec part of isochronous cycle when interrupt occurs, up to 7.

`cycle`

  Type: `guint`

  Cycle part of of isochronous cycle when interrupt occurs, up to 7999.

`header`

  Type: An array of `guint8`

  The headers of IR context for packets handled in the event of interrupt. The content is different depending on header_size parameter of `hinoko_fw_iso_ir_single_allocate()`.

  The length of the array is specified in the `header_length` argument.

`header_length`

  Type: `guint`

  The number of bytes for `header`.

`count`

  Type: `guint`

  The number of packets to handle.